---
title: HTMLTemplateElement.content
slug: Web/API/HTMLTemplateElement/content
tags:
  - API
  - HTML DOM
  - HTMLTemplateElement
  - Property
  - Reference
  - Web Components
---
<div>{{APIRef("Web Components")}}</div>

<p>The <code><strong>HTMLTemplateElement.content</strong></code> property returns a <code>&lt;template&gt;</code> element's template contents (a {{domxref("DocumentFragment")}}).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>documentFragment</var> = <var>templateElement</var>.content</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var templateElement = document.querySelector("#foo");
var documentFragment = templateElement.content.cloneNode(true);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','scripting.html#dom-template-content','HTMLTemplateElement interface')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','scripting-1.html#dom-template-content','HTMLTemplateElement interface')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLTemplateElement.content")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLTemplateElement")}}</li>
</ul>
